OJS OCS OMP OHS

You are viewing the PKP Support Forum | PKP Home Wiki



Installation Problems OMP 1.1.0 Postgres

Are you responsible for making OMP work -- installing, upgrading, migrating or troubleshooting? Do you think you've found a bug? Post in this forum.

Moderators: jmacgreg, michael, asmecher

Forum rules
What to do if you have a technical problem with OMP:

1. Search the forum. You can do this from the Advanced Search Page or from our Google Custom Search, which will search the entire PKP site. If you are encountering an error, we especially recommend searching the forum for said error.

2. Check the FAQ to see if your question or error has already been resolved.

3. Post a question, but please, only after trying the above two solutions. If it's a workflow or usability question you should probably post to the OMP Discussion subforum; if you have a development question, try the OMP Development subforum.

Installation Problems OMP 1.1.0 Postgres

Postby rockome » Mon May 26, 2014 3:30 am

Hi,

I'm trying to install OMP 1.1.0 on Ubuntu 12.04 with remote Postgres. I used to have OMP 1.01b and it use to work perfectly. I installed OMP 1.1.0 fresh and I always get different errors when clicking the install button.

One of the errors I get is DB Error: ERROR: syntax error at or near "FROM" LINE 1: SHOW COLUMNS FROM plugin_settings LIKE $1 ^

Sometimes i also get the error: Error on OMP 1.1 Database Upgrade but thisone I can solve with: viewtopic.php?f=40&t=11896

Nevertheless after installing the patch it still does not work. Any ideas?

thanks

rockome
--
http://www.rocko.me
rockome
 
Posts: 2
Joined: Mon May 26, 2014 3:22 am

Re: Installation Problems OMP 1.1.0 Postgres

Postby asmecher » Mon May 26, 2014 7:24 am

Hi rockome,

Hmm, just a hunch, but can you try changing the config.inc.php "driver" parameter (in the "database" section) from "mysql" to "postgres" before trying the installation process? You shouldn't need to modify the config.inc.php file before running the installation, but I suspect there's a bug here.

Regards,
Alec Smecher
Public Knowledge Project Team
asmecher
 
Posts: 9214
Joined: Wed Aug 10, 2005 12:56 pm

Re: Installation Problems OMP 1.1.0 Postgres

Postby rockome » Mon May 26, 2014 8:12 am

Hi asmecher,

I just installed it from scratch again. I modified the config.inc.php as you described. It did not work because the other Bug I described before. So then I applied the patch for postgres and it worked!

I have to test it a bit more but I think it dit work.

So steps for success :P
  1. modify config.inc.php in the Database section from "mysql" to "postgres" BEFORE installing OMP
  2. apply postgres patch from this thread viewtopic.php?f=40&t=11896
  3. install OMP

rockome
--
www.rocko.me
rockome
 
Posts: 2
Joined: Mon May 26, 2014 3:22 am

Re: Installation Problems OMP 1.1.0 Postgres

Postby asmecher » Mon May 26, 2014 8:26 am

Hi rockome,

Thanks for confirming! I'll pass this along to the developer who worked on that aspect of the code. See http://pkp.sfu.ca/bugzilla/show_bug.cgi?id=8781.

Regards,
Alec Smecher
Public Knowledge Project Team
asmecher
 
Posts: 9214
Joined: Wed Aug 10, 2005 12:56 pm


Return to OMP Technical Support

Who is online

Users browsing this forum: No registered users and 1 guest

cron